# Class WatchDeregistration

java.lang.Object
org.apache.zookeeper.WatchDeregistration

public class WatchDeregistration extends Object
Handles the special case of removing watches which has registered for a client path

## Constructor Summary

Constructors
Constructor
Description
`WatchDeregistration(String clientPath, Watcher watcher, Watcher.WatcherType watcherType, boolean local, org.apache.zookeeper.ZKWatchManager zkManager)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClientPath()`
Returns client path which has specified for unregistering its watcher
`Map<Watcher.Event.EventType, Set<Watcher>>`
`unregister(int rc)`
Unregistering watcher that was added on path.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WatchDeregistration

public WatchDeregistration(String clientPath, Watcher watcher, Watcher.WatcherType watcherType, boolean local, org.apache.zookeeper.ZKWatchManager zkManager)

## Method Details

### unregister

public Map<Watcher.Event.EventType, Set<Watcher>> unregister(int rc) throws KeeperException
Unregistering watcher that was added on path.

Parameters:
  `rc` - the result code of the operation that attempted to remove watch on the path.
Throws:
  `KeeperException`

### getClientPath

public String getClientPath()
Returns client path which has specified for unregistering its watcher

Returns:
  client path